function [Kmeans,Files]= LoadKmeansData(Parameters,Bools)

% Parameters
% Nfiles = 1;
%% Directory
if ~exist(Parameters.KPath,'dir') || ~exist([Parameters.KPath 'matlab/'],'dir')
    disp('Folder not found')
    return
% else
    %Check if .mat files are there
end

FolderList = dir([Parameters.KPath 'matlab/']);
Kmeans = struct('d_breaking',{},'g_breaking',{},'class',{});
pathTmp = Parameters.KPath;

for i=1:length(FolderList)-2
    tmp = FolderList(i+2).name;
    Parameters.KPath = [pathTmp 'matlab/' tmp '/'];
    if isempty(strfind(tmp,'_'))
        name='Class ';
        boolTmp = str2double(tmp(strfind(tmp,'-')+1:end))~=Parameters.Nclasses;
    elseif ~isempty(cell2mat(Parameters.Subclasses.keys))
        %disp(strfind(tmp,'_'))
        %name=['Class ' tmp(strfind(tmp,'-')+1:strfind(tmp,'_')-1) ' Subclass '];
        name=['Class ' num2str(str2double(tmp(strfind(tmp,'_')+10:(end-1)))+1) ' Subclass '];
%         boolTmp = str2double(tmp(strfind(tmp,'-')+1:strfind(tmp,'_')-1))==Parameters.Nclasses;
%         boolTmp = not(boolTmp && ismember(Parameters.Subclasses.keys,tmp(strfind(tmp,'_')+9:end)));
       
        %boolTmp = ~ (find(str2double(tmp(strfind(tmp,'-')+1:strfind(tmp,'_')-1))== cell2mat(values(Parameters.Subclasses)))); %does it have the right number of subclasses??
        boolTmp =  ~((str2double(tmp(strfind(tmp,'-')+1:strfind(tmp,'_')-1))== cell2mat(values(Parameters.Subclasses)))&&(num2str(str2double(tmp(strfind(tmp,'_')+10:(end-1)))+1) == cell2mat(Parameters.Subclasses.keys))); %is it from the right class?
        if isempty(boolTmp)
            boolTmp = isempty(boolTmp);
        end
    else
        boolTmp = 1;
    end
    if ~boolTmp
        [Kmeans,Files,Parameters] = LoadGKmeans(Kmeans,Parameters,Bools,name);
    end
end

end