function [ax1,ax2] = Plot_2D_1D_side(Histograms,index,Fits,Parameters,cmap,Prt)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here


%f_in=figure('Position',[10 10 1280 1060]);
    ax1 = axes('Parent',Prt,'position',[.15 .15 .4 .7]); %2D histogram plot
        plot_2D(Histograms(index).histo2D,'none',Parameters.Dmin,Parameters.Dmax,Parameters.Gmin,Parameters.Gmax,Parameters.xedges,Parameters.yedges);
        colormap(cmap)
        set(gca,'linewidth',2);
        set(gca,'Fontsize',24);
        labpos = get(gca,'xlabel');
        colorbar off
    
    ax2=axes('Parent',Prt,'Position',[.55 .15 .3 .7]); %1D histogram as inset
        plot_1D_free(Histograms(index).histo1D,Fits(index),Parameters) 
        view([90,-90])
        set(gca,'linewidth',2);
        set(gca,'YTickLabel',[]);
        set(gca,'XLabel',[]);
        yh=ylabel('Counts / trace [a.u.]');
        yh.Position(1) =  labpos.Position(2); 
        set(gca,'XTickLabel',[]);
        set(gca,'Fontsize',24);
    
set(findall(ax1,'type','text'),'fontsize',24,'fontweight','normal')  %change 2D histogram label font

end

