%Plot 2D and 1D histogram as an inset
clc
%fitting results (if any)
index = 1; %1 is raw data, see Histograms struct to decide which class to plot

Save=1; %saving histograms?
savepath = 'C:\Data\OPE3s\Plots for figures\Panel A\';
strrep(savepath,'\','/');
filename = 'Histogram_2D_1D_inset_raw';

f_in=figure('Position',[10 10 1800 850],'PaperPositionMode','auto');
    ax1 = findall(gca,'type','axes'); %2D histogram plot
        plot_2D(Histograms(index).histo2D,[],Parameters.Dmin,Parameters.Dmax,Parameters.Gmin,Parameters.Gmax,Parameters.xedges,Parameters.yedges);
        colormap(cmap)
        set(gca,'linewidth',2);
        set(gca,'Fontsize',24);
        colorbar off
    
    ax2=axes('Position',[.405 .7 .5 .2]); %1D histogram as inset
        %plot_1DHist_hollow(hist1D); %select this to have the plot without fitting
        plot_1D_free(Histograms(index).histo1D,Fits(index),Parameters) %select this to have the plot with fitting
        set(gca,'linewidth',2);
        set(gca,'YTickLabel',[]);
        set(gca,'Fontsize',14);
    
set(findall(ax1,'type','text'),'fontsize',24,'fontweight','normal')  %change 2D histogram label font
%Save
if Save
        SaveFigure(f_in, savepath, filename)
end

   
  
  