function [images,vectors] = traceImages(G,xedges,yedges,edges1D)
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here



if isempty(edges1D)
    sz_vector = (length(xedges)-1)*(length(yedges)-1);
    vectors = zeros(length(G),sz_vector);
    for i=1:length(G)
        images{i} = histcounts2(G(i).d_breaking,G(i).g_breaking, xedges,yedges); 
        %vectors(:,i)=reshape(images{i},1,[]); %This stacks each colums of the figure to make a vector
        vectors(i,:)=reshape(images{i},1,[]); %This stacks each row of the figure to make a vector
    end
else
    sz_vector = (length(xedges)-1)*(length(yedges)-1) + length(edges1D)-1;
    vectors = zeros(length(G),sz_vector);
    for i=1:length(G)
        images{i} = histcounts2(G(i).d_breaking,G(i).g_breaking, xedges,yedges); 
        histo1D = histcounts(G(i).d_breaking,edges1D);
        %vectors(:,i)=[reshape(images{i},1,[]) histo1D]; %This stacks each colums of the figure to make a vector
        vectors(i,:)=[reshape(images{i},1,[]), histo1D]; %This stacks each row of the figure to make a vector
    end
end

